> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレット - 損益サマリー

> ウォレットの集計損益サマリーを取得

<Note>
  ウォレットの損益サマリーを取得します。すべてのトークンポジションにおける実現および未実現 PnL を表示します。
</Note>

**関連**: [GraphQL ウォレット PnL](/jp/graphql/examples/balance-holders) | MCP: `wallet_get_pnl`


## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/wallet/{chain}/{walletAddress}/pnl
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/wallet/{chain}/{walletAddress}/pnl:
    get:
      tags:
        - Wallet
      summary: ウォレット - PnL サマリー
      description: ウォレットの集計損益サマリーを取得
      operationId: get.pnl
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: ウォレットのアドレス
          required: true
          schema:
            type: string
          example: 54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy
        - name: resolution
          in: query
          description: PnL 時間解像度（1d, 7d, 30d, or all）
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PnlResolution'
            default: 1d
          example: 1d
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletPnlSummary'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    PnlResolution:
      type: string
      description: PnL resolution period
      enum:
        - 1d
        - 7d
        - 30d
        - all
    WalletPnlSummary:
      type: object
      description: Wallet PnL Summary (aggregated across all tokens for a given resolution)
      required:
        - walletAddress
        - resolution
        - tokens
        - buys
        - sells
        - totalTrades
        - wins
        - losses
        - winRate
        - buyAmountInUsd
        - sellAmountInUsd
        - totalCostInUsd
        - realizedProfitInUsd
        - realizedProfitRatio
        - unrealizedProfitInUsd
        - unrealizedProfitRatio
        - totalProfitInUsd
        - totalProfitRatio
        - avgProfitPerTradeInUsd
      properties:
        avgProfitPerTradeInUsd:
          type: string
          description: USD建ての取引あたり平均損益
          example: '402.86'
        buyAmountInUsd:
          type: string
          description: USD建ての総買い金額
          example: '101371192.39'
        buys:
          type: string
          description: 買い取引の総数
          example: '1515999'
        losses:
          type: string
          description: 損失が出た取引数
          example: '348350'
        realizedProfitInUsd:
          type: string
          description: USD建ての実現損益
          example: '802583.91'
        realizedProfitRatio:
          type: string
          description: 実現損益率
          example: '0.0035521324'
        resolution:
          type: string
          description: PnL 時間解像度
          example: 1d
        sellAmountInUsd:
          type: string
          description: USD建ての総売り金額
          example: '60369621.10'
        sells:
          type: string
          description: 売り取引の総数
          example: '1011994'
        tokens:
          type: string
          description: 取引トークンの総数
          example: '15126'
        totalCostInUsd:
          type: string
          description: USD建ての総コスト基準
          example: '225944253.64'
        totalProfitInUsd:
          type: string
          description: USD建ての合計損益（実現＋未実現）
          example: '1018427683.08'
        totalProfitRatio:
          type: string
          description: 合計損益率
          example: '4.5074290081'
        totalTrades:
          type: string
          description: 全取引の総数
          example: '2527993'
        unrealizedProfitInUsd:
          type: string
          description: USD建ての未実現損益
          example: '1017625099.17'
        unrealizedProfitRatio:
          type: string
          description: 未実現損益率
          example: '4.5038768756'
        updatedAt:
          type:
            - string
            - 'null'
          description: 最終更新タイムスタンプ
          example: '2026-02-04T11:42:50.000Z'
        walletAddress:
          type: string
          description: ウォレットアドレス
          example: 54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy
        winRate:
          type: string
          description: 勝ちトレードの全トレードに対する割合
          example: '0.5575'
        wins:
          type: string
          description: 利益が出た取引数
          example: '438944'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````